<?xml version="1.0" encoding="utf-8" ?><rss version="2.0"><channel><title><![CDATA[Julyana_Lin_夜]]></title><description><![CDATA[           我想蒙着眼睛，一直，一直往前走。]]></description><link>https://blog.youkuaiyun.com/Julyana_Lin</link><language>zh-cn</language><generator>https://blog.youkuaiyun.com/</generator><copyright><![CDATA[Copyright &copy; Julyana_Lin]]></copyright><item><title><![CDATA[机器学习-决策树-ID3, C4.5]]></title><link>https://blog.youkuaiyun.com/Julyana_Lin/article/details/51972288</link><guid>https://blog.youkuaiyun.com/Julyana_Lin/article/details/51972288</guid><author>Julyana_Lin</author><pubDate>Wed, 20 Jul 2016 21:46:41 +0800</pubDate><description><![CDATA[概念：
决策树：节点间的组织方式像一棵倒树，以attribute为节点，以attribute的不同值为分支。
 
重点概念：
1. 信息熵：
熵是无序性（或不确定性）的度量指标。假如事件A的全概率划分是（A1,A2,...,An），每部分发生的概率是(p1,p2,...,pn)，那信息熵定义为：（通常以2为底数，所以信息熵的单位是bit）


熵越大，越无序。当事件A发生概率很大时]]></description><category></category></item><item><title><![CDATA[Install Ubuntu 15.10, cmake, Emacs, newclisp, clang++, cppcms(DO NOT UPDATE Python!!!)]]></title><link>https://blog.youkuaiyun.com/Julyana_Lin/article/details/50925477</link><guid>https://blog.youkuaiyun.com/Julyana_Lin/article/details/50925477</guid><author>Julyana_Lin</author><pubDate>Fri, 18 Mar 2016 20:59:46 +0800</pubDate><description><![CDATA[After all these installed, I got a small trouble with apt-get -f install. It is something with python. 
http://stackoverflow.com/questions/36077722/sudo-apt-get-f-install-var-cache-apt-archives-pytho]]></description><category></category></item><item><title><![CDATA[6-30 - pagination in CPPCMS, The end of June]]></title><link>https://blog.youkuaiyun.com/Julyana_Lin/article/details/36015469</link><guid>https://blog.youkuaiyun.com/Julyana_Lin/article/details/36015469</guid><author>Julyana_Lin</author><pubDate>Mon, 30 Jun 2014 17:54:39 +0800</pubDate><description><![CDATA[Task: Use only C++ to read logs in Mongodb and do the pagination according to the page_size , page_index, order_column_name, is_ascending.


Problem encountered: 
1. Read from Mongodb, sort by ord]]></description><category></category></item><item><title><![CDATA[孤独]]></title><link>https://blog.youkuaiyun.com/Julyana_Lin/article/details/17933855</link><guid>https://blog.youkuaiyun.com/Julyana_Lin/article/details/17933855</guid><author>Julyana_Lin</author><pubDate>Mon, 06 Jan 2014 23:26:00 +0800</pubDate><description><![CDATA[我觉得孤独。]]></description><category></category></item><item><title><![CDATA[以后面试看啊。。。]]></title><link>https://blog.youkuaiyun.com/Julyana_Lin/article/details/9315081</link><guid>https://blog.youkuaiyun.com/Julyana_Lin/article/details/9315081</guid><author>Julyana_Lin</author><pubDate>Fri, 12 Jul 2013 20:51:11 +0800</pubDate><description><![CDATA[http://blog.youkuaiyun.com/xiaohui5319/article/details/7555261]]></description><category></category></item><item><title><![CDATA[微软实习生笔试总结：]]></title><link>https://blog.youkuaiyun.com/Julyana_Lin/article/details/8762264</link><guid>https://blog.youkuaiyun.com/Julyana_Lin/article/details/8762264</guid><author>Julyana_Lin</author><pubDate>Fri, 05 Apr 2013 19:48:33 +0800</pubDate><description><![CDATA[1. ****************************************************************************************************************************************
struct A{//8
  A();
  ~A();
  int m1;
  int m2;
}a;
A]]></description><category></category></item><item><title><![CDATA[最长子序列]]></title><link>https://blog.youkuaiyun.com/Julyana_Lin/article/details/8761612</link><guid>https://blog.youkuaiyun.com/Julyana_Lin/article/details/8761612</guid><author>Julyana_Lin</author><pubDate>Fri, 05 Apr 2013 15:57:21 +0800</pubDate><description><![CDATA[转自：点击打开链接
最长子序列可以说是刚接触动态规划的人经常遇见也不得不解决的问题，最常见的有两种，一种是最长公共子序列（LCS），还有一个是最长上升子序列（LIS）。今天我就总结下这两个的做法。


一：最长公共子序列（LCS）
　　题目描述：给你两个数组，可以是数字的，也可以是字符串，我们假设是数字的！举个例子：

　　　　X  =  1, 5, 6, 4, 1, 3, 7]]></description><category></category></item><item><title><![CDATA[B树简介]]></title><link>https://blog.youkuaiyun.com/Julyana_Lin/article/details/8760019</link><guid>https://blog.youkuaiyun.com/Julyana_Lin/article/details/8760019</guid><author>Julyana_Lin</author><pubDate>Thu, 04 Apr 2013 22:17:44 +0800</pubDate><description><![CDATA[http://www.cnblogs.com/oldhorse/archive/2009/11/16/1604009.html]]></description><category></category></item><item><title><![CDATA[hdu - 4347 - The Closest M Points - kd树]]></title><link>https://blog.youkuaiyun.com/Julyana_Lin/article/details/8136389</link><guid>https://blog.youkuaiyun.com/Julyana_Lin/article/details/8136389</guid><author>Julyana_Lin</author><pubDate>Thu, 01 Nov 2012 13:29:55 +0800</pubDate><description><![CDATA[kd树为何物?不知。 先放着再说！！！
#include 
#include 
#include 
#include 
using namespace std;
const int MAXN = 50010;
const int MAXK = 5;
const int MAXM = 10;

int n, m, k;
struct Point
{
    int p[MAXK];
    inl]]></description><category></category></item><item><title><![CDATA[hdu - 4344 - Mark the Rope - 大数分解]]></title><link>https://blog.youkuaiyun.com/Julyana_Lin/article/details/8136370</link><guid>https://blog.youkuaiyun.com/Julyana_Lin/article/details/8136370</guid><author>Julyana_Lin</author><pubDate>Thu, 01 Nov 2012 13:27:09 +0800</pubDate><description><![CDATA[http://acm.hdu.edu.cn/showproblem.php?pid=4344
注意选的间隔长度 L 必须小于绳子长度 N, 又要大于 1, 所以 1 是断然不能取的；然后，如果 N 是素数的话，答案应该是 0 0 ; 如果 N 恰好等于某个素数 p 的 i 次方（i > 1），那么对于这个素数因子，长度只能取到 pi-1.

#include 
#include 
#incl]]></description><category></category></item><item><title><![CDATA[hdu - 4343 - Interval query - dp（贪心）]]></title><link>https://blog.youkuaiyun.com/Julyana_Lin/article/details/8136349</link><guid>https://blog.youkuaiyun.com/Julyana_Lin/article/details/8136349</guid><author>Julyana_Lin</author><pubDate>Thu, 01 Nov 2012 13:20:03 +0800</pubDate><description><![CDATA[Description

给定N(N

Solution

首先是一个贪心的想法，如果存在两个区间[s1,t1)和[s2,t2)，且[s1,t1)包含于[s2,t2)，那么[s2,t2)是可以扔掉的。很显然地，如果[s2,t2)包含于某个解中，那么把它换成[s1,t1)肯定个数不变。

所以就可以把包含了其它区间的那些区间去掉。具体做法是天王想的，特别抽，详见代码。

其实这步]]></description><category></category></item><item><title><![CDATA[hdu - 4342 - History repeat itself - 纯数学水题]]></title><link>https://blog.youkuaiyun.com/Julyana_Lin/article/details/8135519</link><guid>https://blog.youkuaiyun.com/Julyana_Lin/article/details/8135519</guid><author>Julyana_Lin</author><pubDate>Thu, 01 Nov 2012 10:15:00 +0800</pubDate><description><![CDATA[http://acm.hdu.edu.cn/showproblem.php?pid=4342
#include 
#include 
typedef __int64 LL;
LL n, sum, num;
int T;
LL getnum(){
    num = ((2 * n + 1) + sqrt(4 * n + 1)) / 2;
    for(LL i = num; i >= 1; i]]></description><category></category></item><item><title><![CDATA[hdu - 4341 - Gold miner - 分组背包]]></title><link>https://blog.youkuaiyun.com/Julyana_Lin/article/details/8133410</link><guid>https://blog.youkuaiyun.com/Julyana_Lin/article/details/8133410</guid><author>Julyana_Lin</author><pubDate>Wed, 31 Oct 2012 17:13:24 +0800</pubDate><description><![CDATA[题意：一个人在原点（0，0）抓金子，每块金子有一个获得需要的时间t和价值v。而且有的金子可能在一条直线上，那只能先抓近的，再抓远的。求在给定时间T下，所能获得的最大价值。
http://acm.hdu.edu.cn/showproblem.php?pid=4341
这题可以转化为分组的背包问题。分组的背包问题详解见背包九讲。
先将所有点按照斜率排序，斜率相同按照距离排序。
然后进行分组，将]]></description><category></category></item><item><title><![CDATA[BNU - 26467 -  Dragons and Princesses - 优先队列 + 想法]]></title><link>https://blog.youkuaiyun.com/Julyana_Lin/article/details/8131828</link><guid>https://blog.youkuaiyun.com/Julyana_Lin/article/details/8131828</guid><author>Julyana_Lin</author><pubDate>Wed, 31 Oct 2012 11:40:53 +0800</pubDate><description><![CDATA[贪心的策略：http://acm.bnu.edu.cn/bnuoj/problem_show.php?pid=26467
给龙建个优先队列， 按他的价值从小到大。

每遇到一个princess，如果在Q中的个数大于这个princess所需要的龙，就pop。因为肯定不会取已经pop了的龙。 然后输出就行了。
以下是董事的代码：

#include 
#include 
#include]]></description><category></category></item><item><title><![CDATA[最近点对模板]]></title><link>https://blog.youkuaiyun.com/Julyana_Lin/article/details/8131653</link><guid>https://blog.youkuaiyun.com/Julyana_Lin/article/details/8131653</guid><author>Julyana_Lin</author><pubDate>Wed, 31 Oct 2012 11:08:03 +0800</pubDate><description><![CDATA[#include 
#include 
#include 
#include 
#include 
using namespace std;

const int N = 100005;
const double MAX = 10e100, eps = 0.00001;

typedef struct TagPoint
{
	double x;
	double y;
	int indx;
}Poi]]></description><category></category></item><item><title><![CDATA[hdu - 4340 - Capturing a country - 树形dp]]></title><link>https://blog.youkuaiyun.com/Julyana_Lin/article/details/8129210</link><guid>https://blog.youkuaiyun.com/Julyana_Lin/article/details/8129210</guid><author>Julyana_Lin</author><pubDate>Tue, 30 Oct 2012 16:54:06 +0800</pubDate><description><![CDATA[http://acm.hdu.edu.cn/showproblem.php?pid=4340
题意：
题意：两个人进攻n个城市的国家，这n个城市构成一棵树，可以任意选择一个点开始，攻击已被自己攻击过的点的相邻点，时间可以减半，两个人的攻击时间不一
这个状态要求这个连通块有一个入口嘛

显然题中给图的是一颗树。问题可以抽象成对树的每个点都染色，有两中颜色可以选择。
我们可以知道，如果某一]]></description><category></category></item><item><title><![CDATA[CF - 223B - 想法题]]></title><link>https://blog.youkuaiyun.com/Julyana_Lin/article/details/8128552</link><guid>https://blog.youkuaiyun.com/Julyana_Lin/article/details/8128552</guid><author>Julyana_Lin</author><pubDate>Tue, 30 Oct 2012 15:15:38 +0800</pubDate><description><![CDATA[题意：http://www.codeforces.com/problemset/problem/223/B
母串， 子串。 母串中的任意一个字母‘A’的前面都必须出现过子串'A'前面出现过的字母， 后面也是。 问， 对于每个母串中的字母是否成立？
解：
  我理解的是标记母串对应子串中最早能出现的位置为1， 最晚能出现的位置为-1。如果母串中有个字母在最左的字母之后仍为0（这个字母的计数为0]]></description><category></category></item><item><title><![CDATA[hdu - 4338 - Simple Path - 割点 && 双连通]]></title><link>https://blog.youkuaiyun.com/Julyana_Lin/article/details/8128352</link><guid>https://blog.youkuaiyun.com/Julyana_Lin/article/details/8128352</guid><author>Julyana_Lin</author><pubDate>Tue, 30 Oct 2012 14:39:04 +0800</pubDate><description><![CDATA[转自冷香：http://blog.sina.com.cn/s/blog_7270d7f901017l3o.html
叙说下题意：就是说给你一些询问，问一个图中，已知s、t，在你已知s、t的情况下，你可能在那些点停留（题目是问你不可能在哪里停留）。
    首先比如说下图：http://acm.hdu.edu.cn/showproblem.php?pid=4338


很简单就是将如图所示]]></description><category></category></item><item><title><![CDATA[hdu - 4336 - Card Collector - 容斥 || 概率dp]]></title><link>https://blog.youkuaiyun.com/Julyana_Lin/article/details/8128103</link><guid>https://blog.youkuaiyun.com/Julyana_Lin/article/details/8128103</guid><author>Julyana_Lin</author><pubDate>Tue, 30 Oct 2012 14:01:57 +0800</pubDate><description><![CDATA[http://acm.hdu.edu.cn/showproblem.php?pid=4336


题意：

给出n种不同卡片在买的小吃力里面出现的可能，求凑齐n种卡片要买的小吃的平均数量。

思路：

根据官方解题报告做的：
设卡片的分布p=(p1,p2,...,pn)，T(p)表示拿到所有卡片时买的零食数目，有



由容斥原理得，




#include]]></description><category></category></item><item><title><![CDATA[CF - 229C - 想法题]]></title><link>https://blog.youkuaiyun.com/Julyana_Lin/article/details/8127917</link><guid>https://blog.youkuaiyun.com/Julyana_Lin/article/details/8127917</guid><author>Julyana_Lin</author><pubDate>Tue, 30 Oct 2012 13:13:10 +0800</pubDate><description><![CDATA[一个完全图中m条边属于Alice..剩下的属于Bob..求Alice和Bob分别用属于自己的边能得到的三角形个数之和..分开来想非常麻烦..似乎也没得办法..何不逆转思维..一个三角形若不属于Alice也不属于Bob..那么必然是其3条边中既有属于Alice的也有属于Bob的...称这种三角形为 不统计三角形..


根据输入易得某点有多少属于Alice的边,记为k...进而算出其有多少属于]]></description><category></category></item></channel></rss>